DRUO
Get started
Payouts

Get Payout

GEThttps://api.druo.com/payouts/{transaction_uuid}

Retrieve the details of an existing payout.

Returns the details of a specific payout transaction using its unique UUID. This includes its status, amounts, fees, and references.

Path parameters

transaction_uuidstringRequired

The unique identifier of the resource.

Response

uuidstringoptional

The unique identifier of the transaction.

Example: trx_422f0f81-5001-4cce-a229-242d9ab9960a
codestringoptional

The unique code associated with the transaction.

Example: TXNMW9PCWE
statusstringoptional

The current status of the transaction.

Example: SUCCESSFUL
remarksstringoptional

The transaction's remarks.

Example: INSUFFICIENT_FUNDS
tenant.uuidstringoptional

The unique identifier of the tenant that originated the transaction.

Example: ten_0521aadc-5fbd-4b3c-af0a-a4f4b8d6f20a
creation_sourcestringoptional

The source that initiated the transaction.

Example: MERCHANT_API

The unique identifier of the destination account.

Example: acc_0521aadc-5fbd-4b3c-af0a-a4f4b8d6f20a
typestringoptional

The type of transaction.

Example: PAYOUT
amountintegeroptional

The amount of money in the smallest denomination of the currency (e.g., cents for USD).

Example: 10000
currency.codestringoptional

The three-letter ISO 4217 currency code.

Example: USD
descriptionstringoptional

An optional description of the transaction. Users may see this description in email receipts.

Example: Insurance policy renewal - INV12324
primary_referencestringoptional

An optional primary identifier associated with the transaction for tracking in your own database. Maximum of 40 characters.

Example: ABC123
secondary_referencestringoptional

An optional secondary identifier associated with the transaction for tracking in your own database. Maximum of 40 characters.

Example: bj39fhow39fhqp3f0hfae4344
metadataobjectoptional

A set of key-value pairs that can be attached to the object. Up to 50 keys, with key names up to 40 characters and values up to 500 characters.

Example: {"order_id": "6735"}
decline_reasonstringoptional

The reason why the transaction was declined.

Example: INSUFFICIENT_FUNDS
date_created_gmtstringoptional

The date and time the transaction was created, in GMT.

Example: 2021-11-15T23:23:38
date_updated_gmtstringoptional

The date and time the transaction was last updated, in GMT.

Example: 2021-11-15T23:23:38
net_amountintegeroptional

The transaction's net amount.

Example: 20400
fixed_feeintegeroptional

The transaction's fixed fee amount.

Example: 0
total_feeintegeroptional

The transaction's total fee amount.

Example: 400
variable_feeintegeroptional

The transaction's variable fee amount.

Example: 400
NextGETList Payouts